Package org.bukkit.inventory.meta

# Class BookMeta.Spigot

java.lang.Object
org.bukkit.inventory.meta.BookMeta.Spigot

Enclosing interface:
  BookMeta

public static class BookMeta.Spigot extends Object

## Constructor Summary

Constructors
Constructor
Description
`Spigot()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPage(@NotNull net.md_5.bungee.api.chat.BaseComponent[]... pages)`
Deprecated.
in favour of `BookMeta.addPages(net.kyori.adventure.text.Component...)`
`@NotNull net.md_5.bungee.api.chat.BaseComponent[]`
`getPage(int page)`
Deprecated.
in favour of `BookMeta.page(int)`
`@NotNull List<net.md_5.bungee.api.chat.BaseComponent[]>`
`getPages()`
Deprecated.
in favour of `Book.pages()`
`void`
`setPage(int page, @Nullable net.md_5.bungee.api.chat.BaseComponent... data)`
Deprecated.
in favour of `BookMeta.page(int, net.kyori.adventure.text.Component)`
`void`
`setPages(@NotNull List<net.md_5.bungee.api.chat.BaseComponent[]> pages)`
Deprecated.
in favour of `Book.pages(java.util.List)`
`void`
`setPages(@NotNull net.md_5.bungee.api.chat.BaseComponent[]... pages)`
Deprecated.
in favour of `Book.pages(net.kyori.adventure.text.Component...)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spigot

public Spigot()

## Method Details

### getPage

@NotNull @Deprecated public @NotNull net.md_5.bungee.api.chat.BaseComponent[] getPage(int page)
Deprecated.
in favour of `BookMeta.page(int)`
Gets the specified page in the book. The given page must exist.

Parameters:
  `page` - the page number to get
Returns:
  the page from the book

### setPage

@Deprecated public void setPage(int page, @Nullable @Nullable net.md_5.bungee.api.chat.BaseComponent... data)
Deprecated.
in favour of `BookMeta.page(int, net.kyori.adventure.text.Component)`
Sets the specified page in the book. Pages of the book must be contiguous.

The data can be up to 256 characters in length, additional characters are truncated.

Parameters:
  `page` - the page number to set
  `data` - the data to set for that page

### getPages

@NotNull @Deprecated public @NotNull List<net.md_5.bungee.api.chat.BaseComponent[]> getPages()
Deprecated.
in favour of `Book.pages()`
Gets all the pages in the book.

Returns:
  list of all the pages in the book

### setPages

@Deprecated public void setPages(@NotNull @NotNull List<net.md_5.bungee.api.chat.BaseComponent[]> pages)
Deprecated.
in favour of `Book.pages(java.util.List)`
Clears the existing book pages, and sets the book to use the provided pages. Maximum 50 pages with 256 characters per page.

Parameters:
  `pages` - A list of pages to set the book to use

### setPages

@Deprecated public void setPages(@NotNull @NotNull net.md_5.bungee.api.chat.BaseComponent[]... pages)
Deprecated.
in favour of `Book.pages(net.kyori.adventure.text.Component...)`
Clears the existing book pages, and sets the book to use the provided pages. Maximum 50 pages with 256 characters per page.

Parameters:
  `pages` - A list of component arrays, each being a page

### addPage

@Deprecated public void addPage(@NotNull @NotNull net.md_5.bungee.api.chat.BaseComponent[]... pages)
Deprecated.
in favour of `BookMeta.addPages(net.kyori.adventure.text.Component...)`
Adds new pages to the end of the book. Up to a maximum of 50 pages with 256 characters per page.

Parameters:
  `pages` - A list of component arrays, each being a page